summaryrefslogtreecommitdiffstats
path: root/office/apvlv
diff options
context:
space:
mode:
author Grigorios Bouzakis2010-05-12 23:32:57 +0200
committer Robby Workman2010-05-12 23:32:57 +0200
commit178334c1cb836aa4371ee631f78f130b78ef6e47 (patch)
tree7fdd4005dc244a423f014f7202d8dacac07fb818 /office/apvlv
parent6497cb93324ed0cbbbb215b128ec7d7d667f00a0 (diff)
downloadslackbuilds-178334c1cb836aa4371ee631f78f130b78ef6e47.tar.gz
office/apvlv: Added to 12.2 repository
Diffstat (limited to 'office/apvlv')
-rw-r--r--office/apvlv/README2
-rw-r--r--office/apvlv/apvlv.SlackBuild71
-rw-r--r--office/apvlv/apvlv.info8
-rw-r--r--office/apvlv/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/office/apvlv/README b/office/apvlv/README
new file mode 100644
index 0000000000..53511644da
--- /dev/null
+++ b/office/apvlv/README
@@ -0,0 +1,2 @@
+Apvlv is a PDF Viewer which behaves like vim using poppler.
+Apvlv is still in very early development - use at your own risk.
diff --git a/office/apvlv/apvlv.SlackBuild b/office/apvlv/apvlv.SlackBuild
new file mode 100644
index 0000000000..7e1cb1f59b
--- /dev/null
+++ b/office/apvlv/apvlv.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for apvlv
+
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+PRGNAM=apvlv
+VERSION=${VERSION:-0.0.6.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/apvlv/apvlv.info b/office/apvlv/apvlv.info
new file mode 100644
index 0000000000..33ce071faa
--- /dev/null
+++ b/office/apvlv/apvlv.info
@@ -0,0 +1,8 @@
+PRGNAM="apvlv"
+VERSION="0.0.6.3"
+HOMEPAGE="http://code.google.com/p/apvlv/"
+DOWNLOAD="http://apvlv.googlecode.com/files/apvlv-0.0.6.3.tar.gz"
+MD5SUM="b4c348d889a36d55874c9c70a291ff6a"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="rworkman"
diff --git a/office/apvlv/slack-desc b/office/apvlv/slack-desc
new file mode 100644
index 0000000000..abceb3b5c3
--- /dev/null
+++ b/office/apvlv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+apvlv: apvlv (a PDF Viewer which behaves like Vim)
+apvlv:
+apvlv: apvlv is a PDF Viewer which behaves like Vim, using poppler.
+apvlv:
+apvlv: Homepage: http://code.google.com/p/apvlv/
+apvlv:
+apvlv:
+apvlv:
+apvlv:
+apvlv:
+apvlv: